import json
import os
from pyarr import RadarrAPI
import sys

try:
    import apiconfig
except:
    print("Error!")
    print("  \"apiconfig.py\" seems to be missing!")
    print("  Have you copied the default config to \"apiconfig.py\" and made appropriate edits?")
    print()
    sys.exit()

radarr = RadarrAPI(apiconfig.url, apiconfig.apikey)

movies = radarr.get_movie()

for movie in movies:
    if movie['monitored'] == True and movie['hasFile'] == True:
        print(f"Movie \"{movie['title']} id={movie['id']} has a file but is still monitored!")
        data = {"movieIds":[movie['id']], "monitored": False}
        radarr.upd_movies(data)

# vim: set ts=4 sw=4 et:
